Show staged diff
POST /v1/sandbox/{sandboxID}/git/diff-staged
POST
/v1/sandbox/{sandboxID}/git/diff-staged
Show changes that are currently staged for commit.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” sandboxID
required
string
Unique sandbox identifier.
Request Body required
Section titled “Request Body required ”object
path
required
Path to the git repository.
string
context_lines
Number of context lines to include in the diff output. Defaults to 3.
integer format: uint32
Responses
Section titled “ Responses ”Staged diff output.
object
output
required
Command output text.
string
exit_code
required
Exit code of the git command.
integer format: int32
Bad request – validation error.
object
message
required
Summary message, e.g. “Invalid request”.
string
errors
required
Array<object>
object
field
required
JSON field name that failed validation (e.g. “path”, “command”).
string
error
required
Human-readable description of the validation failure.
string
Unauthorized – invalid or missing API key.
object
message
required
Human-readable error message.
string